org.eclipse.emf.cdo.server

## Class CDOServerExporter.Binary

- java.lang.Object
- - org.eclipse.emf.cdo.server.CDOServerExporter<CDODataOutput>
  - - org.eclipse.emf.cdo.server.CDOServerExporter.Binary

- All Implemented Interfaces:
    CDOServerExporter.BinaryConstants
  Enclosing class:
    CDOServerExporter<OUT>

      public static class CDOServerExporter.Binary
      extends CDOServerExporter<CDODataOutput>
      implements CDOServerExporter.BinaryConstants

  Since:
    4.8
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.CDOServerExporter

      `CDOServerExporter.Binary, CDOServerExporter.BinaryConstants, CDOServerExporter.Statistics, CDOServerExporter.XML, CDOServerExporter.XMLConstants`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.CDOServerExporter.BinaryConstants

      `BLOB, BRANCH, CLOB, COMMIT, EOF, PACKAGE_INFO, PACKAGE_UNIT, REPOSITORY, REVISION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Binary(IRepository repository)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CDODataOutput` | `createOutput(java.io.OutputStream out)`
    `protected void` | `endPackageUnit(CDODataOutput out)`
    `protected void` | `exportAll(CDODataOutput out)`
    `protected void` | `exportBranch(CDODataOutput out, CDOBranch branch)`
    `protected void` | `exportCommit(CDODataOutput out, CDOCommitInfo commitInfo)`
    `protected void` | `exportPackageInfo(CDODataOutput out, java.lang.String packageURI)`
    `protected void` | `exportRevision(CDODataOutput out, CDORevision revision)`
    `protected java.io.OutputStream` | `startBlob(CDODataOutput out, byte[] id, long size)`
    `protected java.io.Writer` | `startClob(CDODataOutput out, byte[] id, long size)`
    `protected void` | `startPackageUnit(CDODataOutput out, java.lang.String id, CDOPackageUnit.Type type, long time, java.lang.String data)`

    - ### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerExporter

      `exportBranches, exportCommits, exportLobs, exportPackages, exportRepository, exportRevisions, getBranchPath, getRepository, getStatistics, getTimeStamp, isExportSystemPackages, setBranchPath, setExportSystemPackages, setTimeStamp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Binary

          public Binary(IRepository repository)

  - ### Method Detail

    - #### createOutput

          protected CDODataOutput createOutput(java.io.OutputStream out)
                                        throws java.lang.Exception

      Specified by:
        `createOutput` in class `CDOServerExporter<CDODataOutput>`
      Throws:
        `java.lang.Exception`

    - #### exportAll

          protected void exportAll(CDODataOutput out)
                            throws java.lang.Exception

      Overrides:
        `exportAll` in class `CDOServerExporter<CDODataOutput>`
      Throws:
        `java.lang.Exception`

    - #### startPackageUnit

          protected void startPackageUnit(CDODataOutput out,
                                          java.lang.String id,
                                          CDOPackageUnit.Type type,
                                          long time,
                                          java.lang.String data)
                                   throws java.lang.Exception

      Specified by:
        `startPackageUnit` in class `CDOServerExporter<CDODataOutput>`
      Throws:
        `java.lang.Exception`

    - #### endPackageUnit

          protected void endPackageUnit(CDODataOutput out)
                                 throws java.lang.Exception

      Specified by:
        `endPackageUnit` in class `CDOServerExporter<CDODataOutput>`
      Throws:
        `java.lang.Exception`

    - #### exportPackageInfo

          protected void exportPackageInfo(CDODataOutput out,
                                           java.lang.String packageURI)
                                    throws java.lang.Exception

      Specified by:
        `exportPackageInfo` in class `CDOServerExporter<CDODataOutput>`
      Throws:
        `java.lang.Exception`

    - #### exportBranch

          protected void exportBranch(CDODataOutput out,
                                      CDOBranch branch)
                               throws java.lang.Exception

      Overrides:
        `exportBranch` in class `CDOServerExporter<CDODataOutput>`
      Throws:
        `java.lang.Exception`

    - #### exportRevision

          protected void exportRevision(CDODataOutput out,
                                        CDORevision revision)
                                 throws java.lang.Exception

      Specified by:
        `exportRevision` in class `CDOServerExporter<CDODataOutput>`
      Throws:
        `java.lang.Exception`

    - #### startBlob

          protected java.io.OutputStream startBlob(CDODataOutput out,
                                                   byte[] id,
                                                   long size)
                                            throws java.lang.Exception

      Specified by:
        `startBlob` in class `CDOServerExporter<CDODataOutput>`
      Throws:
        `java.lang.Exception`

    - #### startClob

          protected java.io.Writer startClob(CDODataOutput out,
                                             byte[] id,
                                             long size)
                                      throws java.lang.Exception

      Specified by:
        `startClob` in class `CDOServerExporter<CDODataOutput>`
      Throws:
        `java.lang.Exception`

    - #### exportCommit

          protected void exportCommit(CDODataOutput out,
                                      CDOCommitInfo commitInfo)
                               throws java.lang.Exception

      Specified by:
        `exportCommit` in class `CDOServerExporter<CDODataOutput>`
      Throws:
        `java.lang.Exception`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html